package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description:
 * @author: gaodm
 * @time: 2019/5/30 10:53
 */

@Getter
@Setter
public class AddEvaluatorVO {
	
	/**
     * 医院id
     */
	@ApiModelProperty(value="医院id",required=true)
	@NotNull(message="医院id必传")
    private Long hospitalId;

    /**
     * 科室id
     */
	@ApiModelProperty(value="科室id",required=true)
	@NotNull(message="科室id必传")
    private Long hospitalDeptId;

    /**
     * 医生id
     */
	@ApiModelProperty(value="医生id",required=true)
	@NotNull(message="医生id必传")
    private Long doctorId;

    /**
     * 患者id
     */
	@ApiModelProperty(value="患者id",required=true)
	@NotNull(message="患者id必传")
    private Long patientId;

    /**
     * 就诊序列号
     */
	@ApiModelProperty(value="就诊序列号",required=true)
	@NotBlank(message="就诊序列号必传")
    private String inquiryCode;
	
    /**
     * 姓名
     */
    @NotBlank(message = "请输入姓名")
    private String name;

    /**
     * 手机号
     */
    @NotBlank(message = "请输手机号")
    private String phone;

    /**
     * 性别(1：男 2：女)
     */
    @NotNull(message = "请输入性别")
    private Integer sex;

    /**
     * 年龄
     */
    @NotNull(message = "请输入年龄")
    private Integer age;

    /**
     * 平和体质转化分
     */
    @NotNull(message = "请输入平和体质转化分")
    private BigDecimal mildValue;

    /**
     * 气虚体质转化分
     */
    @NotNull(message = "请输入气虚体质转化分")
    private BigDecimal faintValue;

    /**
     * 湿滞体质转化分
     */
    @NotNull(message = "请输入湿滞体质转化分")
    private BigDecimal wetValue;

    /**
     * 心肝火旺体质转化分
     */
    @NotNull(message = "请输入心肝火旺体质转化分")
    private BigDecimal heartValue;

    /**
     * 积滞体质转化分
     */
    @NotNull(message = "请输入积滞体质转化分")
    private BigDecimal stagnantValue;

    /**
     * 异禀体质转化分
     */
    @NotNull(message = "请输入异禀体质转化分")
    private BigDecimal exceptValue;
}
